| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord1802 Struct Reference

Data record struct for DMC-1802 controllers. More...

Inheritance diagram for gclib.GDataRecord1802:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
UB | error_code
| error code.
UB | general_status
| general status
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SW | axis_a_torque
| A axis torque.
UB | axis_a_reserved_0
| Reserved.
UB | axis_a_reserved_1
| Reserved.
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SW | axis_b_torque
| B axis torque.
UB | axis_b_reserved_0
| Reserved.
UB | axis_b_reserved_1
| Reserved.
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SW | axis_c_torque
| C axis torque.
UB | axis_c_reserved_0
| Reserved.
UB | axis_c_reserved_1
| Reserved.
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SW | axis_d_torque
| D axis torque.
UB | axis_d_reserved_0
| Reserved.
UB | axis_d_reserved_1
| Reserved.

## Detailed Description

Data record struct for DMC-1802 controllers.

The 18x2 Data record is the Same as 2103 except the following.

1. No header bytes. Software removes it from QR.
2. No analog in axis data.

Definition at line 1623 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord1802.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1625 of file gclib.cs.

## Member Data Documentation

## ◆ sample_number

UW gclib.GDataRecord1802.sample_number

sample number.

Definition at line 1629 of file gclib.cs.

## ◆ input_bank_0

UB gclib.GDataRecord1802.input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 1631 of file gclib.cs.

## ◆ input_bank_1

UB gclib.GDataRecord1802.input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 1632 of file gclib.cs.

## ◆ input_bank_2

UB gclib.GDataRecord1802.input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 1633 of file gclib.cs.

## ◆ input_bank_3

UB gclib.GDataRecord1802.input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 1634 of file gclib.cs.

## ◆ input_bank_4

UB gclib.GDataRecord1802.input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 1635 of file gclib.cs.

## ◆ input_bank_5

UB gclib.GDataRecord1802.input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 1636 of file gclib.cs.

## ◆ input_bank_6

UB gclib.GDataRecord1802.input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 1637 of file gclib.cs.

## ◆ input_bank_7

UB gclib.GDataRecord1802.input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 1638 of file gclib.cs.

## ◆ input_bank_8

UB gclib.GDataRecord1802.input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 1639 of file gclib.cs.

## ◆ input_bank_9

UB gclib.GDataRecord1802.input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 1640 of file gclib.cs.

## ◆ output_bank_0

UB gclib.GDataRecord1802.output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 1642 of file gclib.cs.

## ◆ output_bank_1

UB gclib.GDataRecord1802.output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 1643 of file gclib.cs.

## ◆ output_bank_2

UB gclib.GDataRecord1802.output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 1644 of file gclib.cs.

## ◆ output_bank_3

UB gclib.GDataRecord1802.output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 1645 of file gclib.cs.

## ◆ output_bank_4

UB gclib.GDataRecord1802.output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 1646 of file gclib.cs.

## ◆ output_bank_5

UB gclib.GDataRecord1802.output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 1647 of file gclib.cs.

## ◆ output_bank_6

UB gclib.GDataRecord1802.output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 1648 of file gclib.cs.

## ◆ output_bank_7

UB gclib.GDataRecord1802.output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 1649 of file gclib.cs.

## ◆ output_bank_8

UB gclib.GDataRecord1802.output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 1650 of file gclib.cs.

## ◆ output_bank_9

UB gclib.GDataRecord1802.output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 1651 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord1802.error_code

error code.

Definition at line 1653 of file gclib.cs.

## ◆ general_status

UB gclib.GDataRecord1802.general_status

general status

Definition at line 1654 of file gclib.cs.

## ◆ s_plane_segment_count

UW gclib.GDataRecord1802.s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 1656 of file gclib.cs.

## ◆ s_plane_move_status

UW gclib.GDataRecord1802.s_plane_move_status

coordinated move status for S plane.

Definition at line 1657 of file gclib.cs.

## ◆ s_distance

SL gclib.GDataRecord1802.s_distance

distance traveled in coordinated move for S plane.

Definition at line 1658 of file gclib.cs.

## ◆ t_plane_segment_count

UW gclib.GDataRecord1802.t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 1660 of file gclib.cs.

## ◆ t_plane_move_status

UW gclib.GDataRecord1802.t_plane_move_status

Coordinated move status for T plane.

Definition at line 1661 of file gclib.cs.

## ◆ t_distance

SL gclib.GDataRecord1802.t_distance

distance traveled in coordinated move for T plane.

Definition at line 1662 of file gclib.cs.

## ◆ axis_a_status

UW gclib.GDataRecord1802.axis_a_status

A axis status.

Definition at line 1664 of file gclib.cs.

## ◆ axis_a_switches

UB gclib.GDataRecord1802.axis_a_switches

A axis switches.

Definition at line 1665 of file gclib.cs.

## ◆ axis_a_stop_code

UB gclib.GDataRecord1802.axis_a_stop_code

A axis stop code.

Definition at line 1666 of file gclib.cs.

## ◆ axis_a_reference_position

SL gclib.GDataRecord1802.axis_a_reference_position

A axis reference position.

Definition at line 1667 of file gclib.cs.

## ◆ axis_a_motor_position

SL gclib.GDataRecord1802.axis_a_motor_position

A axis motor position.

Definition at line 1668 of file gclib.cs.

## ◆ axis_a_position_error

SL gclib.GDataRecord1802.axis_a_position_error

A axis position error.

Definition at line 1669 of file gclib.cs.

## ◆ axis_a_aux_position

SL gclib.GDataRecord1802.axis_a_aux_position

A axis auxiliary position.

Definition at line 1670 of file gclib.cs.

## ◆ axis_a_velocity

SL gclib.GDataRecord1802.axis_a_velocity

A axis velocity.

Definition at line 1671 of file gclib.cs.

## ◆ axis_a_torque

SW gclib.GDataRecord1802.axis_a_torque

A axis torque.

Definition at line 1672 of file gclib.cs.

## ◆ axis_a_reserved_0

UB gclib.GDataRecord1802.axis_a_reserved_0

Reserved.

Definition at line 1673 of file gclib.cs.

## ◆ axis_a_reserved_1

UB gclib.GDataRecord1802.axis_a_reserved_1

Reserved.

Definition at line 1674 of file gclib.cs.

## ◆ axis_b_status

UW gclib.GDataRecord1802.axis_b_status

B axis status.

Definition at line 1676 of file gclib.cs.

## ◆ axis_b_switches

UB gclib.GDataRecord1802.axis_b_switches

B axis switches.

Definition at line 1677 of file gclib.cs.

## ◆ axis_b_stop_code

UB gclib.GDataRecord1802.axis_b_stop_code

B axis stop code.

Definition at line 1678 of file gclib.cs.

## ◆ axis_b_reference_position

SL gclib.GDataRecord1802.axis_b_reference_position

B axis reference position.

Definition at line 1679 of file gclib.cs.

## ◆ axis_b_motor_position

SL gclib.GDataRecord1802.axis_b_motor_position

B axis motor position.

Definition at line 1680 of file gclib.cs.

## ◆ axis_b_position_error

SL gclib.GDataRecord1802.axis_b_position_error

B axis position error.

Definition at line 1681 of file gclib.cs.

## ◆ axis_b_aux_position

SL gclib.GDataRecord1802.axis_b_aux_position

B axis auxiliary position.

Definition at line 1682 of file gclib.cs.

## ◆ axis_b_velocity

SL gclib.GDataRecord1802.axis_b_velocity

B axis velocity.

Definition at line 1683 of file gclib.cs.

## ◆ axis_b_torque

SW gclib.GDataRecord1802.axis_b_torque

B axis torque.

Definition at line 1684 of file gclib.cs.

## ◆ axis_b_reserved_0

UB gclib.GDataRecord1802.axis_b_reserved_0

Reserved.

Definition at line 1685 of file gclib.cs.

## ◆ axis_b_reserved_1

UB gclib.GDataRecord1802.axis_b_reserved_1

Reserved.

Definition at line 1686 of file gclib.cs.

## ◆ axis_c_status

UW gclib.GDataRecord1802.axis_c_status

C axis status.

Definition at line 1688 of file gclib.cs.

## ◆ axis_c_switches

UB gclib.GDataRecord1802.axis_c_switches

C axis switches.

Definition at line 1689 of file gclib.cs.

## ◆ axis_c_stop_code

UB gclib.GDataRecord1802.axis_c_stop_code

C axis stop code.

Definition at line 1690 of file gclib.cs.

## ◆ axis_c_reference_position

SL gclib.GDataRecord1802.axis_c_reference_position

C axis reference position.

Definition at line 1691 of file gclib.cs.

## ◆ axis_c_motor_position

SL gclib.GDataRecord1802.axis_c_motor_position

C axis motor position.

Definition at line 1692 of file gclib.cs.

## ◆ axis_c_position_error

SL gclib.GDataRecord1802.axis_c_position_error

C axis position error.

Definition at line 1693 of file gclib.cs.

## ◆ axis_c_aux_position

SL gclib.GDataRecord1802.axis_c_aux_position

C axis auxiliary position.

Definition at line 1694 of file gclib.cs.

## ◆ axis_c_velocity

SL gclib.GDataRecord1802.axis_c_velocity

C axis velocity.

Definition at line 1695 of file gclib.cs.

## ◆ axis_c_torque

SW gclib.GDataRecord1802.axis_c_torque

C axis torque.

Definition at line 1696 of file gclib.cs.

## ◆ axis_c_reserved_0

UB gclib.GDataRecord1802.axis_c_reserved_0

Reserved.

Definition at line 1697 of file gclib.cs.

## ◆ axis_c_reserved_1

UB gclib.GDataRecord1802.axis_c_reserved_1

Reserved.

Definition at line 1698 of file gclib.cs.

## ◆ axis_d_status

UW gclib.GDataRecord1802.axis_d_status

D axis status.

Definition at line 1700 of file gclib.cs.

## ◆ axis_d_switches

UB gclib.GDataRecord1802.axis_d_switches

D axis switches.

Definition at line 1701 of file gclib.cs.

## ◆ axis_d_stop_code

UB gclib.GDataRecord1802.axis_d_stop_code

D axis stop code.

Definition at line 1702 of file gclib.cs.

## ◆ axis_d_reference_position

SL gclib.GDataRecord1802.axis_d_reference_position

D axis reference position.

Definition at line 1703 of file gclib.cs.

## ◆ axis_d_motor_position

SL gclib.GDataRecord1802.axis_d_motor_position

D axis motor position.

Definition at line 1704 of file gclib.cs.

## ◆ axis_d_position_error

SL gclib.GDataRecord1802.axis_d_position_error

D axis position error.

Definition at line 1705 of file gclib.cs.

## ◆ axis_d_aux_position

SL gclib.GDataRecord1802.axis_d_aux_position

D axis auxiliary position.

Definition at line 1706 of file gclib.cs.

## ◆ axis_d_velocity

SL gclib.GDataRecord1802.axis_d_velocity

D axis velocity.

Definition at line 1707 of file gclib.cs.

## ◆ axis_d_torque

SW gclib.GDataRecord1802.axis_d_torque

D axis torque.

Definition at line 1708 of file gclib.cs.

## ◆ axis_d_reserved_0

UB gclib.GDataRecord1802.axis_d_reserved_0

Reserved.

Definition at line 1709 of file gclib.cs.

## ◆ axis_d_reserved_1

UB gclib.GDataRecord1802.axis_d_reserved_1

Reserved.

Definition at line 1710 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs